generator: admingenerator.generator.doctrine
params:
    model: Webmil\BackendPriceBundle\Entity\Price
    namespace_prefix: Webmil
    concurrency_lock: ~
    bundle_name: BackendPriceBundle
    pk_requirement: ~
    fields: 
      isRead:
        label: Прочитано
        help: Якщо не потрібно читати даний файл то поставте галочку.
      category:
        label:            Категорія
        addFormOptions:
         required: true   
      file:
        label:            Прайс лист
        formType:         afe_single_upload
        dbType:           string
        addFormOptions: 
         nameable:       price
         data_class:     Symfony\Component\HttpFoundation\File\File
    object_actions:
        delete: ~
    batch_actions:
        delete: ~
builders:
    list:
        params:
            title: Прайс листи
            display: [price, isRead, category]
            actions:
                new: ~
            object_actions:
                edit: ~
                delete: ~
            batch_actions: ~
    filters:
        params:
            display: ~
    new:
        params:
            title:   Новий прайс
            display: [isRead, category, file]
            actions:
                save-and-add: ~
                save: ~
                list: ~
    edit:
        params:
            title: Редагування прайс листа
            display: [isRead, category, file]
            actions:
                save: ~
                list: ~
    show:
        params:
            title: "You're viewing the object \"%object%\"|{ %object%: Price.title }|"
            display: ~
            actions:
                list: ~
                new: ~
    actions:
        params:
            object_actions:
                delete: ~
            batch_actions:
                delete: ~
